jQuery( document ).ready(function( $ ) {
  
/*------------------------------------------------
                    MASONRY GALLERY   
------------------------------------------------*/
var $container = $('#masonry-gallery .grid');

var pageNumber = 1;
var category = corporate_education_pro.category;

function corporate_education_pro_load_posts(){
    pageNumber++;

    $.ajax({
        type: "POST",
        dataType: "html",
        url: corporate_education_pro.ajaxurl,
        data: {action: 'corporate_education_pro_gallery_ajax_handler',
            pageNumber: pageNumber,
            category: category
        },
        success: function(data){
            if( data.length > 0 ){
                $container.isotope('destroy');
                $container.append(data).isotope({
                    resizable: true,
                    itemSelector: '.grid-item',
                    layoutMode : 'packery',
                    gutter: 0
                });
                $container.packery('reloadItems');
                $container.packery('layout');
                $("#loadmore").removeClass("hide");
            } else {
                $("#loadmore").addClass("hide");
            }
        },
        error : function(jqXHR, textStatus, errorThrown) {
            $loader.html(jqXHR + " :: " + textStatus + " :: " + errorThrown);
        }

    });
    return false;
}


$('#loadmore').removeAttr('href');
$("#loadmore").click(function(e){ // When btn is pressed.
    e.preventDefault();
    $("#loadmore").addClass("hide");
    corporate_education_pro_load_posts();
});

});