<?php
/**
 * Template Name: About Us Template                                            
 * The template for displaying about us page.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Corporate Education Pro 1.0
 */

get_header(); 
$options = corporate_education_pro_get_theme_options(); ?>

<section id="about-us" class="page-section less-top-padding">
    <div class="white-shape top move-up left innerpage"></div>
    <div class="white-shape top full-width innerpage"></div>
    <div class="white-shape bottom move-down right"></div>

    <div class="wrapper">
        <?php  
        /**
         * corporate_education_pro_about_template_image_content hook
         *
         * @hooked corporate_education_pro_add_about_image_section -  10
         */
        do_action( 'corporate_education_pro_about_template_image_content' ); 
        ?>

        <div class="entry-content align-center">
            <?php 
            while ( have_posts() ) : the_post();
                the_content(); 
            endwhile; ?>
        </div><!-- .entry-content -->
        
    </div><!-- .wrapper -->
</section><!-- #about-us -->

<?php 
/**
 * corporate_education_pro_about_template_content hook
 *
 * @hooked corporate_education_pro_add_about_message_section -  10
 * @hooked corporate_education_pro_add_about_features_section -  20
 * @hooked corporate_education_pro_add_about_team_section -  30
 */
do_action( 'corporate_education_pro_about_template_content' );   

get_footer();