<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage Corporate Education Pro
 * @since Corporate Education Pro 1.0
 */

// Site layout setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[theme_color]', array(
	'sanitize_callback'   => 'corporate_education_pro_sanitize_select',
	'default'             => $options['theme_color']
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[theme_color]', array(
	'label'               => esc_html__( 'Theme Color', 'corporate-education-pro' ),
	'section'             => 'colors',
	'type'                => 'select',
	'choices'			  => corporate_education_pro_theme_color(),
) );
